Bug 192986 - [HarfBuzz] Width not correctly reported as 0 for zero font size
Summary: [HarfBuzz] Width not correctly reported as 0 for zero font size
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Text (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk, InRadar, LayoutTestFailure
Depends on:
Blocks:
 
Reported: 2018-12-21 10:38 PST by Carlos Garcia Campos
Modified: 2019-01-20 19:09 PST (History)
4 users (show)

See Also:


Attachments
Patch (1.58 KB, patch)
2018-12-21 10:40 PST, Carlos Garcia Campos
mcatanzaro: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2018-12-21 10:38:36 PST
This caused test fast/text/font-size-zero.html (ans likely some others) to fail since we started to use complex text for GTK+ layout tests.
Comment 1 Carlos Garcia Campos 2018-12-21 10:40:35 PST
Created attachment 357958 [details]
Patch
Comment 2 Michael Catanzaro 2018-12-21 11:30:48 PST
Comment on attachment 357958 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=357958&action=review

> Source/WebCore/ChangeLog:11
> +        (WebCore::ComplexTextController::ComplexTextRun::ComplexTextRun): Use empty advances for glyps when the font

glyphs
Comment 3 Carlos Garcia Campos 2018-12-22 04:34:05 PST
Committed r239539: <https://trac.webkit.org/changeset/239539>
Comment 4 Radar WebKit Bug Importer 2018-12-22 04:35:26 PST
<rdar://problem/46918699>
Comment 5 Michael Catanzaro 2019-01-20 19:09:57 PST
I'm updating this expectation (assuming the change in expectation is correct):

--- /home/slave/webkitgtk/gtk-linux-64-release-tests/build/layout-test-results/svg/text/font-size-below-point-five-expected.txt
+++ /home/slave/webkitgtk/gtk-linux-64-release-tests/build/layout-test-results/svg/text/font-size-below-point-five-actual.txt
@@ -30,7 +30,6 @@
         chunk 1 text run 1 at (35.63,10.00) startOffset 0 endOffset 1 width 4.06: " "
       RenderSVGTSpan {tspan} at (0,0) size 0x1
         RenderSVGInlineText {#text} at (-10,4) size 0x0
-          chunk 1 text run 1 at (39.69,10.00) startOffset 0 endOffset 1 width 0.31: "6"
       RenderSVGInlineText {#text} at (0,0) size 0x0
     RenderSVGText {text} at (63,42) size 124x10 contains 1 chunk(s)
       RenderSVGInlineText {#text} at (0,0) size 124x9